Retrieve an Issue

GET /api/0/organizations/{organization_id_or_slug}/issues/{issue_id}/

Return details on an individual issue, including its basic stats, comment count, and user-report count.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

issue_id (string)
REQUIRED

The ID of the issue you'd like to query.

Query Parameters:

environment (array(string))

The name of environments to filter by.

expand (array(string))
choices:
  • forecast
  • inbox
  • integrationIssues
  • latestEventHasAttachments
  • owners
  • sentryAppIssues

Additional data to include in the response.

collapse (array(string))
choices:
  • release
  • stats
  • tags

Fields to remove from the response to improve query performance.

Scopes

<auth_token> requires one of the following scopes:
  • event:admin
  • event:read
  • event:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/issues/{issue_id}/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
{ "id": "1", "shareId": "123def456abc", "shortId": "PUMP-STATION-1", "title": "This is an example Python exception", "culprit": "raven.scripts.runner in main", "permalink": "https://sentry.io/the-interstellar-jurisdiction/pump-station/issues/1/", "logger": null, "level": "error", "status": "unresolved", "statusDetails": {}, "substatus": "ongoing", "isPublic": false, "platform": "python", "priority": "medium", "priorityLockedAt": null, "seerFixabilityScore": null, "seerAutofixLastTriggered": null, "seerExplorerAutofixLastTriggered": null, "project": { "id": "2", "name": "Pump Station", "slug": "pump-station", "platform": "python" }, "type": "default", "issueType": "error", "issueCategory": "error", "metadata": { "title": "This is an example Python exception" }, "numComments": 0, "assignedTo": { "type": "user", "id": "1", "name": "John Doe", "email": "john.doe@example.com" }, "isBookmarked": false, "isSubscribed": true, "subscriptionDetails": null, "hasSeen": false, "annotations": [], "count": "150", "userCount": 12, "firstSeen": "2018-11-06T21:19:55Z", "lastSeen": "2018-12-06T21:19:55Z", "activity": [ { "data": { "priority": "high" }, "dateCreated": "2018-11-06T21:19:55Z", "id": "0", "commentId": null, "type": "first_seen", "user": null, "sentry_app": null } ], "seenBy": [], "userReportCount": 0, "participants": [], "firstRelease": { "id": 1, "version": "frontend@1.0.0", "shortVersion": "frontend@1.0.0", "status": "open", "versionInfo": { "package": "frontend", "version": { "raw": "1.0.0", "major": 1, "minor": 0, "patch": 0, "pre": null, "buildCode": null, "components": 3 }, "description": "1.0.0", "buildHash": null }, "ref": null, "url": null, "dateReleased": null, "dateCreated": "2024-01-01T00:00:00Z", "data": {}, "newGroups": 0, "owner": null, "commitCount": 0, "lastCommit": null, "deployCount": 0, "lastDeploy": null, "authors": [], "projects": [ { "id": 1, "slug": "sentry", "name": "sentry", "newGroups": 0, "platform": "javascript", "platforms": [ "javascript" ], "hasHealthData": false } ], "firstEvent": null, "lastEvent": null, "currentProjectMeta": {}, "userAgent": null }, "lastRelease": null, "tags": [ { "key": "browser", "name": "Browser", "totalValues": 150 }, { "key": "level", "name": "Level", "totalValues": 150 } ], "stats": { "24h": [ [ 1541451600, 557 ], [ 1541455200, 473 ] ], "30d": [ [ 1538870400, 565 ], [ 1538956800, 12862 ] ] } }
Was this helpful?